org.apache.catalina.deploy

## Class MessageDestination

- java.lang.Object
- - org.apache.catalina.deploy.ResourceBase
  - - org.apache.catalina.deploy.MessageDestination

All Implemented Interfaces:
  Serializable, Injectable

    public class MessageDestination
    extends ResourceBase

Representation of a message destination for a web application, as represented in a `<message-destination>` element in the deployment descriptor.

Since:
  Tomcat 5.0
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.catalina.deploy.ResourceBase

`resources`

### Constructor Summary

Constructors
Constructor and Description
`MessageDestination()`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`String` `getDisplayName()`
`String` `getLargeIcon()`
`String` `getSmallIcon()`
`int` `hashCode()`
`void` `setDisplayName(String displayName)`
`void` `setLargeIcon(String largeIcon)`
`void` `setSmallIcon(String smallIcon)`
`String` `toString()` Return a String representation of this object.

### Methods inherited from class org.apache.catalina.deploy.ResourceBase

`addInjectionTarget, getDescription, getInjectionTargets, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setName, setProperty, setType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MessageDestination

    public MessageDestination()

### Method Detail

#### getDisplayName

    public String getDisplayName()

#### setDisplayName

    public void setDisplayName(String displayName)

#### getLargeIcon

    public String getLargeIcon()

#### setLargeIcon

    public void setLargeIcon(String largeIcon)

#### getSmallIcon

    public String getSmallIcon()

#### setSmallIcon

    public void setSmallIcon(String smallIcon)

#### toString

    public String toString()

Return a String representation of this object.

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `ResourceBase`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `ResourceBase`